Register Members List Search Today's Posts Mark Forums Read

Reply
 
Thread Tools
  #1  
Old 26 Apr 2017, 11:30
SVTCobraLTD SVTCobraLTD is offline
 
Join Date: Jul 2007
Deprecated Errors on Site

I kepp getting this error when visiting my forums. I have tried disabling all plugins and nothing changed. Any thoughts?


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Reply With Quote
  #2  
Old 26 Apr 2017, 14:31
Dave Dave is offline
 
Join Date: Jun 2010
Real name: Dave
Are you running the supported PHP version for the vBulletin version you are running?
__________________
https://technidev.com - security, development, exploits, vBulletin
dave[at]technidev[dot]com

Contact me for custom vBulletin 3/4 work & server/website management.
Reply With Quote
  #3  
Old 26 Apr 2017, 21:49
blind-eddie's Avatar
blind-eddie blind-eddie is offline
 
Join Date: Apr 2006
Real name: Tim
3.8.9 Patch Level 1
php: 5.4.45
__________________
LONG LIVE 3.8 SERIES
National Arcade Competition Club- NACC All arcade edits will work on vb4.
Check out my heavily modified ibproarcade with over 50,000 games for you, free of charge!
Exclusive arcade addons, edits and skins were made by stangger5 owner of Next Level Arcade
Reply With Quote
  #4  
Old 27 Apr 2017, 01:49
SVTCobraLTD SVTCobraLTD is offline
 
Join Date: Jul 2007
PHP is 5.4
Reply With Quote
  #5  
Old 27 Apr 2017, 02:21
Dave Dave is offline
 
Join Date: Jun 2010
Real name: Dave
The only possible reason of these errors showing up is when the PHP version you're running is not supported by the vBulletin version.
__________________
https://technidev.com - security, development, exploits, vBulletin
dave[at]technidev[dot]com

Contact me for custom vBulletin 3/4 work & server/website management.
Reply With Quote
  #6  
Old 27 Apr 2017, 03:04
SVTCobraLTD SVTCobraLTD is offline
 
Join Date: Jul 2007
Originally Posted by Dave View Post
The only possible reason of these errors showing up is when the PHP version you're running is not supported by the vBulletin version.
But vb 3.8.9 recommends 5.3 or higher. I am on PHP 5.4.
Reply With Quote
  #7  
Old 27 Apr 2017, 14:16
Dave Dave is offline
 
Join Date: Jun 2010
Real name: Dave
What is the exact version showing up in your AdminCP > Maintenance > PHP version?
__________________
https://technidev.com - security, development, exploits, vBulletin
dave[at]technidev[dot]com

Contact me for custom vBulletin 3/4 work & server/website management.
Reply With Quote
  #8  
Old 27 Apr 2017, 15:08
SVTCobraLTD SVTCobraLTD is offline
 
Join Date: Jul 2007
Originally Posted by Dave View Post
What is the exact version showing up in your AdminCP > Maintenance > PHP version?
PHP Version 5.4.45
Reply With Quote
  #9  
Old 27 Apr 2017, 18:33
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Originally Posted by SVTCobraLTD View Post
But vb 3.8.9 recommends 5.3 or higher. I am on PHP 5.4.
No, you're not.

Those errors are PHP 7 errors, which requires 3.8.11
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #10  
Old 27 Apr 2017, 21:45
SVTCobraLTD SVTCobraLTD is offline
 
Join Date: Jul 2007
Originally Posted by Paul M View Post
No, you're not.

Those errors are PHP 7 errors, which requires 3.8.11
I confirmed with my hosting company. PHP 5.4.45
Reply With Quote
  #11  
Old 28 Apr 2017, 15:24
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Sorry, but no.

Quite simply, they are PHP 7 errors, there is no argument about it.

http://php.net/manual/en/migration70.deprecated.php
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #12  
Old 28 Apr 2017, 17:23
blind-eddie's Avatar
blind-eddie blind-eddie is offline
 
Join Date: Apr 2006
Real name: Tim
What I posted in the third post is exactly what he has.
__________________
LONG LIVE 3.8 SERIES
National Arcade Competition Club- NACC All arcade edits will work on vb4.
Check out my heavily modified ibproarcade with over 50,000 games for you, free of charge!
Exclusive arcade addons, edits and skins were made by stangger5 owner of Next Level Arcade
Reply With Quote
  #13  
Old 28 Apr 2017, 17:36
Dave Dave is offline
 
Join Date: Jun 2010
Real name: Dave
Originally Posted by blind-eddie View Post
What I posted in the third post is exactly what he has.
That's really weird because the deprecation error he's receiving was introduced along with PHP 7. Any older PHP versions do not cause such errors.

OP should reach out to the host and see what's going wrong here.
__________________
https://technidev.com - security, development, exploits, vBulletin
dave[at]technidev[dot]com

Contact me for custom vBulletin 3/4 work & server/website management.
Reply With Quote
  #14  
Old 28 Apr 2017, 23:02
Paul M's Avatar
Paul M Paul M is offline
 
Join Date: Sep 2004
Real name: Paul M
Originally Posted by blind-eddie View Post
What I posted in the third post is exactly what he has.
You can keep insisting this as long as you want, but the facts are they are PHP 7 errors.
No other versions of PHP generate those warnings, there simply is no argument about it.
__________________
Former vBulletin.org Staff Member


Cable Forum
Please do not PM me about custom work - I no longer undertake any.
Note: I will not answer support questions via e-mail or PM - please use the relevant thread or forum.
Reply With Quote
  #15  
Old 03 May 2017, 01:04
SVTCobraLTD SVTCobraLTD is offline
 
Join Date: Jul 2007
Issue has been fixed. The hosting company had to purge the PHP files and reset everything. Now the site is working.
Reply With Quote
Reply



Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 02:35.

Layout Options | Width: Wide Color: